Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.consultrn.commons.core.v3
Class DeceaseResponseType

    java.lang.Object
      be.fgov.ehealth.consultrn.commons.core.v3.DeceaseResponseType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2019-04-01T01:46:11+02:00",
               comments="JAXB RI v2.2.11")
    public class DeceaseResponseType

extends Object
implements Serializable

information about the decease of a person

Java class for DeceaseResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DeceaseResponseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="DeceaseDate" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}IncompleteDateType" minOccurs="0"/>
             <element name="DeceasePlace" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}WhereResponseType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`DeceaseResponseType()`

Method Summary
`String` | `getDeceaseDate()` Gets the value of the deceaseDate property.
`WhereResponseType` | `getDeceasePlace()` Gets the value of the deceasePlace property.
`void` | `setDeceaseDate(String value)` Sets the value of the deceaseDate property.
`void` | `setDeceasePlace(WhereResponseType value)` Sets the value of the deceasePlace property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeceaseResponseType

    public DeceaseResponseType()

Method Detail

### getDeceaseDate

    public String getDeceaseDate()

  Gets the value of the deceaseDate property.

  Returns:
    possible object is `String`

### setDeceaseDate

    public void setDeceaseDate(String value)

  Sets the value of the deceaseDate property.

  Parameters:
    `value` - allowed object is `String`

### getDeceasePlace

    public WhereResponseType getDeceasePlace()

  Gets the value of the deceasePlace property.

  Returns:
    possible object is `WhereResponseType`

### setDeceasePlace

    public void setDeceasePlace(WhereResponseType value)

  Sets the value of the deceasePlace property.

  Parameters:
    `value` - allowed object is `WhereResponseType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSAUDIOLOGIST 3.17.1 API
Copyright © {inceptionYear}-2019 eHealth. All Rights Reserved.